#!/bin/bash

set -eu

TARGET="$(dirname "$0" | xargs realpath)"
IMAGE="debian:bookworm"

while getopts "v:i:h" opt
do
  case "$opt" in
    i)
      IMAGE="$OPTARG"
      ;;
    h)
      echo "Usage: $0 [-i image]"
      exit 0
      ;;
    *)
      exit 1
      ;;
  esac
done

docker run --rm           \
  --name eza-build-$$ \
  -v "$TARGET:/target"    \
  -w /target              \
  --user root             \
  "$IMAGE"                \
  sh build-deb.package.sh
