#!/bin/bash

set -eu

PWD="$(dirname "${0}")"
REPO="$(echo "${PWD}/.." | xargs realpath)"
IMAGE="debian:bookworm"

echo "PWD: ${PWD}"
echo "REPO: ${REPO}"

while getopts "v:i:h" opt
do
  case "$opt" in
    i)
      IMAGE="$OPTARG"
      ;;
    h)
      echo "Usage: $0 [-i image]"
      exit 0
      ;;
    *)
      exit 1
      ;;
  esac
done

docker run --rm           \
	--name eza-test-$$      \
	-v "$REPO:/repo"        \
	-w /repo                \
	--user root             \
	"$IMAGE"                \
	sh ./test/test-deb.package.sh
