#!/bin/bash

set -xeu

DEBIAN_FRONTEND=noninteractive
TARGET="$PWD"

export DEBIAN_FRONTEND

install_package() {
	echo "Install package from current directory"
	dpkg --install -- target/eza_*_amd64.deb || exit 1
}

version_package() {
	echo "Try to display the version of the new installed package"
	eza -v || exit 11
	eza -v > ./test/.docker.test.version || exit 12
}

test_package() {
	echo "Try to display the content of root with package command"
	eza -lh / || exit 21
	eza -lh / > ./test/.docker.test.result || exit 22
}

main() {
	install_package
	version_package
	test_package
	exit 0
}

main
